Existe uma maneira de instalar o módulo de dois em python 3

votos
1

Eu quero instalar o módulo Python TWAIN em Python 3. Mas nos docs diz:

versões Python 2.1 2.5 através são suportados.

Posso convertê-lo usando 2to3?

Publicado 12/01/2016 em 13:06
usuário
Em outras línguas...                            


1 respostas

votos
0

Use passado módulo que fornece um pacote experimental tradução para ajudar com a importação e utilizando módulos de idade Python 2 em um ambiente Python 3.

Então instale o pacote com pip

pip3 install twain --no-compile   # to ignore SyntaxErrors

E usar próximo código para importar dois em seu python3código:

from past import autotranslate
autotranslate(['twain'])

import twain


# use twain ....... 
Respondeu 12/01/2016 em 13:13
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more